Get service point by UUID
curl --request GET \
--url https://api.smartsend.io/v2/teams/{teamUuid}/service-points/{uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.smartsend.io/v2/teams/{teamUuid}/service-points/{uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.smartsend.io/v2/teams/{teamUuid}/service-points/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.smartsend.io/v2/teams/{teamUuid}/service-points/{uuid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.smartsend.io/v2/teams/{teamUuid}/service-points/{uuid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.smartsend.io/v2/teams/{teamUuid}/service-points/{uuid}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.smartsend.io/v2/teams/{teamUuid}/service-points/{uuid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"uuid": "019c4870-44a4-7a63-b9e8-f52cfed69fc2",
"carrier": {
"code": "postnord",
"name": "PostNord",
"logo_url": "https://assets.example.com/carriers/postnord/logo.svg",
"icon_url": "https://assets.example.com/carriers/postnord/icon.svg"
},
"code": "12345",
"name": "Example parcel shop",
"type": "parcel_store",
"address": {
"address_lines": [
"Example Street 12"
],
"postal_code": "2200",
"city": "Copenhagen",
"country": "DK",
"administrative_area": "84"
},
"coordinates": {
"latitude": 55.689748,
"longitude": 12.553726
},
"opening_hours": {
"regular_opening_hours": [
{
"weekday": "monday",
"periods": [
{
"opening_time": "08:00",
"closing_time": "18:00"
}
]
},
{
"weekday": "tuesday",
"periods": [
{
"opening_time": "08:00",
"closing_time": "18:00"
}
]
},
{
"weekday": "wednesday",
"periods": [
{
"opening_time": "08:00",
"closing_time": "18:00"
}
]
},
{
"weekday": "thursday",
"periods": [
{
"opening_time": "08:00",
"closing_time": "18:00"
}
]
},
{
"weekday": "friday",
"periods": [
{
"opening_time": "08:00",
"closing_time": "18:00"
}
]
},
{
"weekday": "saturday",
"periods": [
{
"opening_time": "10:00",
"closing_time": "14:00"
}
]
},
{
"weekday": "sunday",
"periods": [
{
"opening_time": "10:00",
"closing_time": "14:00"
}
]
}
],
"special_opening_hours": [
{
"is_closed": false,
"start_date": "2026-12-24",
"end_date": "2026-12-24",
"open_time": "10:00",
"close_time": "13:00"
}
]
}
}
}Service Points
Get service point by UUID
Returns a service point by UUID.
GET
/
v2
/
teams
/
{teamUuid}
/
service-points
/
{uuid}
Get service point by UUID
curl --request GET \
--url https://api.smartsend.io/v2/teams/{teamUuid}/service-points/{uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.smartsend.io/v2/teams/{teamUuid}/service-points/{uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.smartsend.io/v2/teams/{teamUuid}/service-points/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.smartsend.io/v2/teams/{teamUuid}/service-points/{uuid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.smartsend.io/v2/teams/{teamUuid}/service-points/{uuid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.smartsend.io/v2/teams/{teamUuid}/service-points/{uuid}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.smartsend.io/v2/teams/{teamUuid}/service-points/{uuid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"uuid": "019c4870-44a4-7a63-b9e8-f52cfed69fc2",
"carrier": {
"code": "postnord",
"name": "PostNord",
"logo_url": "https://assets.example.com/carriers/postnord/logo.svg",
"icon_url": "https://assets.example.com/carriers/postnord/icon.svg"
},
"code": "12345",
"name": "Example parcel shop",
"type": "parcel_store",
"address": {
"address_lines": [
"Example Street 12"
],
"postal_code": "2200",
"city": "Copenhagen",
"country": "DK",
"administrative_area": "84"
},
"coordinates": {
"latitude": 55.689748,
"longitude": 12.553726
},
"opening_hours": {
"regular_opening_hours": [
{
"weekday": "monday",
"periods": [
{
"opening_time": "08:00",
"closing_time": "18:00"
}
]
},
{
"weekday": "tuesday",
"periods": [
{
"opening_time": "08:00",
"closing_time": "18:00"
}
]
},
{
"weekday": "wednesday",
"periods": [
{
"opening_time": "08:00",
"closing_time": "18:00"
}
]
},
{
"weekday": "thursday",
"periods": [
{
"opening_time": "08:00",
"closing_time": "18:00"
}
]
},
{
"weekday": "friday",
"periods": [
{
"opening_time": "08:00",
"closing_time": "18:00"
}
]
},
{
"weekday": "saturday",
"periods": [
{
"opening_time": "10:00",
"closing_time": "14:00"
}
]
},
{
"weekday": "sunday",
"periods": [
{
"opening_time": "10:00",
"closing_time": "14:00"
}
]
}
],
"special_opening_hours": [
{
"is_closed": false,
"start_date": "2026-12-24",
"end_date": "2026-12-24",
"open_time": "10:00",
"close_time": "13:00"
}
]
}
}
}Authorizations
bearerAuthoauth2
Headers
Preferred language(s) for translatable content using BCP 47 language tags. Supports quality values (q-factors) for priority ordering. The API negotiates the best available language based on this header, the team's configured language, and available translations. If omitted, the team's default language is used.
Example:
"da-DK, da;q=0.9, en;q=0.8"
Optional client-supplied request identifier. When provided and matching the validation pattern, the value is echoed back in the Request-ID response header. Otherwise the server generates one. Use this to correlate requests between client and server when reporting issues.
Required string length:
1 - 64Pattern:
^[A-Za-z0-9._-]{1,64}$Path Parameters
Was this page helpful?